Unable to download Argon4 browser from GooglePlay, what are the minimum requirements?


#1

Hello,

I am using a relatively new phone (Motorola G5 Plus) that runs Android 7.0 (Nougat).
On the google play page, my phone displays a “Your device isn’t compatible with this version.” message.
What devices are compatible? Am I able to download a previous version?